## python-proton-core 0.1.16

=== debian/changelog ===
python-proton-core (0.1.16-1) unstable; urgency=medium

  * Initial release. (Closes: #1076362)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 14 Jul 2024 09:06:12 -0300

## python-proton-core 0.3.3

=== debian/changelog ===
python-proton-core (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 21 Sep 2024 11:54:42 -0300

python-proton-core (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0
  * Fixed license  to GPL-3+

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 11 Sep 2024 00:49:01 -0300

## python-proton-core 0.4.0

=== requirements.txt ===
-e ".[test]"

=== debian/changelog ===
python-proton-core (0.4.0-3) unstable; urgency=medium

  * Team upload.
  * Remove python3-importlib-metadata build dep

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 16:15:37 +0200

python-proton-core (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * Drop build-dependency on python3-pytest-flake8 (see #1068502).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Mar 2025 09:37:53 +0000

python-proton-core (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 28 Dec 2024 19:20:59 -0300

=== debian/control ===
Source: python-proton-core
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-aiohttp,
               python3-all,
               python3-bcrypt,
               python3-gnupg,
               python3-openssl,
               python3-pyotp <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-requests,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-xdg <!nocheck>
Standards-Version: 4.7.2
Homepage: https://github.com/ProtonVPN/python-proton-core
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-proton-core
Vcs-Git: https://salsa.debian.org/python-team/packages/python-proton-core.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-proton-core
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-proton-core-doc
Description: Proton Technologies API wrapper
 The Proton Core library is a core component that contains the fundamental
 logic used by the other Proton components. This core provides the essential
 basis for the functioning and integration of the other parts of Proton,
 ensuring consistency and efficiency in the system's overall performance.
 .
 This is the backbone of Proton VPN, containing the core logic and essential
 functionality that is used by others Proton components. This module is
 designed to provide a robust and secure infrastructure for various operations
 within Proton VPN, ranging from authentication and session management to
 communication and general utilities.
 .
 Main components and their functions:
  - Authentication and Sessions: This package manages everything related to
    sessions, including initialization, maintenance and user validation
    sessions. Covers communicating with APIs, manipulating form data (as seen
    in formdata.py), and implementing secure authentication protocols
    (for example, through SRP - Secure Remote Password).srp: Contains specific
    modules for the SRP protocol, which guarantees security during user
    authentication.
  - Key Management: Keychain: Handles key and credential management, safely
    storing and retrieving sensitive information.
  - Loading and Execution: loader: Facilitates the loading of components and
    the execution of main scripts, allowing fluid initialization and dependency
    management.
  - Single sign-on (SSO): sso: Supports Single Sign-On functionality, allowing
    users to authenticate once to access multiple Proton services.
  - Public utility services: utils: Contains several utility functions that
    help with common operations, such as managing the environment and using
    metaclasses.
  - Transport and Communication: transports: Handles different data transport
    methods, using libraries such as aiohttp and requests to perform HTTP
    communications. This package also includes utilities for alternative
    routing and DNS manipulation.
  - Interface and visualization: views: Provides basic components for
    creating command line interfaces (CLI), allowing user interactions in a
    structured way.
 .
 Overall python-proton-core serves as the functional core of Proton VPN,
 ensuring that all components work together in a cohesive and efficient
 manner, offering Security in terms of Implementation of robust authentication
 and secure key management protocols, allowing flexibility in integration and
 communication between different modules and services.
 .
 Thus providing utilities and components that simplify the development and
 maintenance of complex functionalities, through Its modular structure allows
 expansion and customization, accommodating new functionalities and improving
 existing ones without compromising stability.

Package: python-proton-core-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Proton Technologies API wrapper (common documentation)
 The Proton Core library is a core component that contains the fundamental
 logic used by the other Proton components. This core provides the essential
 basis for the functioning and integration of the other parts of Proton,
 ensuring consistency and efficiency in the system's overall performance.
 .
 This is the backbone of Proton VPN, containing the core logic and essential
 functionality that is used by others Proton components. This module is
 designed to provide a robust and secure infrastructure for various operations
 within Proton VPN, ranging from authentication and session management to
 communication and general utilities.
 .
 Main components and their functions:
  - Authentication and Sessions: This package manages everything related to
    sessions, including initialization, maintenance and user validation
    sessions. Covers communicating with APIs, manipulating form data (as seen
    in formdata.py), and implementing secure authentication protocols
    (for example, through SRP - Secure Remote Password).srp: Contains specific
    modules for the SRP protocol, which guarantees security during user
    authentication.
  - Key Management: Keychain: Handles key and credential management, safely
    storing and retrieving sensitive information.
  - Loading and Execution: loader: Facilitates the loading of components and
    the execution of main scripts, allowing fluid initialization and dependency
    management.
  - Single sign-on (SSO): sso: Supports Single Sign-On functionality, allowing
    users to authenticate once to access multiple Proton services.
  - Public utility services: utils: Contains several utility functions that
    help with common operations, such as managing the environment and using
    metaclasses.
  - Transport and Communication: transports: Handles different data transport
    methods, using libraries such as aiohttp and requests to perform HTTP
    communications. This package also includes utilities for alternative
    routing and DNS manipulation.
  - Interface and visualization: views: Provides basic components for
    creating command line interfaces (CLI), allowing user interactions in a
    structured way.
 .
 Overall python-proton-core serves as the functional core of Proton VPN,
 ensuring that all components work together in a cohesive and efficient
 manner, offering Security in terms of Implementation of robust authentication
 and secure key management protocols, allowing flexibility in integration and
 communication between different modules and services.
 .
 Thus providing utilities and components that simplify the development and
 maintenance of complex functionalities, through Its modular structure allows
 expansion and customization, accommodating new functionalities and improving
 existing ones without compromising stability.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=proton-core

# Tests ignored due to external connection
export PYBUILD_TEST_ARGS= -v \
	-k 'not test_bad_pinning_fingerprint_changed \
	and not test_alternative_routing_works_on_prod \
	and not test_bad_pinning_url_changed \
	and not test_without_pinning \
	and not test_auto_works_on_prod \
	and not test_ping \
	and not test_successful'

export PYBUILD_AFTER_TEST=gpgconf --homedir {build_dir}/../.gnupg --kill gpg-agent

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

# sphinx documentation
execute_before_dh_sphinxdoc:
	http_proxy='http://127.0.0.1:9/' python3 -m sphinx  -d debian/doctrees  \
	-N -bhtml  docs/ debian/python-proton-core-doc/usr/share/doc/python-proton-core-doc/html

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/ProtonVPN/python-proton-core/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-proton-core 0.7.0

=== debian/changelog ===
python-proton-core (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * debian/control: Remove redundant "Rules-Requires-Root"
  * debian/patches: Truncate password to bcrypt's 72-byte limit
  * debian/rules: Skip D-Bus dependent tests (Closes: #1120223)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 24 Nov 2025 22:29:04 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-aiohttp,

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 	and not test_without_pinning \
 	and not test_auto_works_on_prod \
 	and not test_ping \
+	and not test_broken_data \
+	and not test_broken_index \
+	and not test_sessions \
+	and not test_raw_ping \
 	and not test_successful'
 
 export PYBUILD_AFTER_TEST=gpgconf --homedir {build_dir}/../.gnupg --kill gpg-agent
